For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Continent by ID

Returns information from your requested continent ID.

https://api.sportmonks.com/v3/core/continents/{ID}
{
  "data": {
    "id": 1,
    "name": "Europe",
    "code": "EU"
  },
Field
Description
Type

id

Refers to the id of the continent

integer

name

Displays the name of the continent

string

code

Displays the short code of the continent

string

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Not applicable for this endpoint.

Not applicable for this endpoint.

Pagination

No

Include depth

You can use a total of 3 nested includes on this endpoint

Include options

countries

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the continents endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/core/continents/{ID}?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/core/continents/{ID}?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?